#ifndef CDROM_CTRL_H__
#define CDROM_CTRL_H__

#include <linux/cdrom.h>
#include <sys/ioctl.h>

#include <ncursesw/ncurses.h>


/* redefining CDW_* values here so we don't have to include */
/* <linux/cdrom.h> every time when we want to use cdrom_ctrl cdrom_status() */
#define CDW_CD_NO_INFO CDS_NO_INFO
#define CDW_CD_NO_DISC  CDS_NO_DISC
#define CDW_CD_TRAY_OPEN CDS_TRAY_OPEN
#define CDW_CD_DRIVE_NOT_READY CDS_DRIVE_NOT_READY
#define CDW_CD_DISC_OK CDS_DISC_OK

cdw_rv_t eject_tray(const char *device_fullpath);
cdw_rv_t close_tray(const char *device_fullpath);
void reload_tray_with_update(bool final_eject);

int cdrom_status(void);
bool disc_in_drive(void);



#endif /* CDROM_CTRL_H__ */
