#ifndef __CDW_UI_MAIN_H
#define __CDW_UI_MAIN_H


#include <dirent.h> /* struct dirent **eps */
#include <ncursesw/ncurses.h> /* bool */
#include "main.h" /* cdw_rv_t */
#include "cdw_cdio.h" /* cdw_simple_disc_type_t */




/*
________________________________________________________
|_______________ _____________________________________ |
||             | |                                   | |
||             | |                                   | |
||             | |                                   | |
||             | |                                   | |
||main_menu_sub| |      selected_list_sub            | |
||             | |                                   | |
||             | |     selected_list_sub_nlines /    | |
||             | |     selected_list_sub_ncols       | |
||             | |                                   | |
||             | |                                   | |
||             | |                                   | |
||_____________| |___________________________________| |
|_______________ _____________________________________ |
||             | |                                   | |
||disc_info_sub| |      selected_info_sub            | |
||             | |                                   | |
||_____________| |___________________________________| |
|______________________________________________________|

*/



/* be careful with order of fields in this enum - it has to be the same
 * as order of button labels in main menu built in cdw_ui.c */
typedef enum menu_items {
	UI_MENU_ADD_FILES = 0,
	UI_MENU_DELETE_FILES,
	UI_MENU_WRITE_DATA_FILES_TO_OPT_DISC,
	UI_MENU_WRITE_DATA_FILES_TO_IMAGE,
	UI_MENU_WRITE_IMAGE_TO_OPT_DISC,
	UI_MENU_COPY_DATA_DISC_TO_IMAGE,
	UI_MENU_RIP_AUDIO_DISC,
	UI_MENU_BLANK_DISC,
	UI_MENU_EDIT_OPTIONS,
	UI_MENU_EXIT_CDW
} cdw_menu_items_t;


cdw_rv_t cdw_ui_main_init(void);
int cdw_ui_main_clean(void);

int cdw_curses_init(void);
/* there is no cdw_curses_clean(), endwin() is used instead */

cdw_rv_t main_win_refresh(bool real);
void main_win_refresh_part(int nlines, int ncols, int begin_y, int begin_x);

int select_window(bool real);

void files_info_view_show_data(void);
cdw_rv_t selected_files_menu_regenerate(void);
void selected_files_delete(void);
void files_info_view_recalculate_data(void);


void disc_info_view_update(void);


#endif /* __CDW_UI_MAIN_H */
