#ifndef PROCESSWIN_H__
#define PROCESSWIN_H__

#include <ncursesw/ncurses.h> /* bool */

#include "main.h"

#define PROCESSWIN_COLS 40
#define PROCESSWIN_ROWS 14
#define PROCESSWIN_MAX_TEXT_LEN (PROCESSWIN_COLS - 4)

void processwin_draw_progress_bar(int value, int color1, int color2, char c);
cdw_rv_t processwin_create(const char *title, const char *label, bool show_progress);
void processwin_display_text_info(int row, const char *string);
void processwin_display_fifo(int fifo_level);
void processwin_display_eta(char *eta_line);
void conditional_processwin_display_progress(long current, long total, const char *current_value_string);
void processwin_display_progress(int current_amount, int total_amount, const char *current_value_string);
void processwin_force_refresh(void);
void progresswin_erase_progressbar(void);
void processwin_destroy(const char *status_string, bool wait);


#endif /* PROCESSWIN_H__ */

