#ifndef UTILS_FILESYSTEM_H__
#define UTILS_FILESYSTEM_H__

#include <ncursesw/ncurses.h> /* bool */
#include <sys/stat.h>
#include <dirent.h>
#include "main.h" /* cdw_rv_t */

enum file_type {
	CDW_DIR = 0,
	CDW_FILE,
	CDW_LINK,
	CDW_OTHER
};


/* filesystem utils */
long long dirsize(char **pathtable, int paths);
long long _dirsize(const char *dirpath);
int one(const struct dirent *entry);
int two(const struct dirent *entry);
bool boot_image_exists(void);
int get_home_dir(char **path);
int get_tmp_dir(char **path);
cdw_rv_t is_valid_path(char *fullpath, mode_t permissions, int filetype);
cdw_rv_t get_valid_path(char *title, char *prompt, char **fullpath, mode_t permissions, int filetype, int n);
cdw_rv_t open_errno_handler(int e);

cdw_rv_t check_mounted_device(const char *device_path);
bool optical_disc_mounted(const char *device_path);

char *my_readline_10k(FILE *file);

#endif /* UTILS_FILESYSTEM_H__ */
