#ifndef UTILS_STRING_H__
#define UTILS_STRING_H__


#include <ncursesw/ncurses.h> /* bool */
#include "main.h" /* cdw_rv_t */
#include "options.h"

/* string utils */
char *rtrim(char *str);
char *ltrim(char *str);

char *concat(const char *str, ...);
cdw_rv_t append(char **head, const char *tail);

cdw_rv_t my_itoa2(int i, char *string);
cdw_rv_t input_string_security_parser(const char *input_string);
char *make_string(const char *in_string);
char *make_n_string(const char *in_string, size_t n);
cdw_rv_t set_string(char **target, const char *source);
bool starts_with_ci(const char *field, const char *fieldname);
cdw_rv_t correct_dir_path_ending(char **path);

void free_table_of_strings(const char *labels[]);

cdw_option_t split_options_line(char *line);

cdw_rv_t relaxed_recognize_bool_value(const char *buffer, bool *field);


#endif /* UTILS_STRING_H__ */
